Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:    	This is the ASN.1 library used in GNUTLS. 
Name:      	libtasn1
Version:   	2.7
Release:   	2
Provides:	libtasn1 
License: 	GNU/GPL
URL:		ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/libtasn1/
Group:    	System/Libraries
Source0: 	libtasn1-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre): /sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
This is the ASN.1 library used in GNUTLS. 

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--libdir=%_libdir \
--datadir=%_datadir \
--infodir=%_infodir \
--includedir=%_includedir \
--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%{_libdir}/libtasn1.so.*
%{_infodir}/libtasn1.info.gz
%{_mandir}/man1/asn1*.1.gz

%files devel
%defattr(-,root,root)
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding
%{_bindir}/asn1Parser
%{_libdir}/libtasn1.a
%{_libdir}/libtasn1.la
%{_libdir}/libtasn1.so
%{_pkgconfig}/libtasn1.pc
%{_includedir}/libtasn1.h
%{_mandir}/man3/asn1*.3.gz
%{_mandir}/man3/libtasn1_perror.3.gz
%{_mandir}/man3/libtasn1_strerror.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7-2
- added Provides pkgconfig libtasn1 to devel package
* Thu Jun 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7-1
- Version Update
* Mon Apr 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6-1
- Version Update
* Thu Jan 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4-1
- Version Update
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.3-1
- Version Update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.8-1
- Version Update
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version Update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version Update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.8-1
- Version Update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.6-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- Version Update
* Tue May 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- Version Update
* Fri Feb 10 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.18-2
- added info install
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.18-1
- Version update
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.2.13-2
- Cleaned out specfile, moved static libs to devel package
* Sun Jun 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.2.13-1
- Version Update to 0.2.13
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 0.2.10-1
- Initial Release
